%ifos darwin
%define __soext         dylib
%define __defattr       %defattr(-,root,wheel)
%else
%define __soext         so
%define __defattr       %defattr(-,root,root)
%endif

Summary: A library for manipulating GIF format image files.
Name: libungif
Version: 4.1.3
Release: 3a
License: MIT
URL: http://sourceforge.net/projects/libungif/
Source: http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.%{__soext} giflib

%description
The libungif package contains a shared library of functions for
loading and saving GIF format image files.  The libungif library can
load any GIF file, but it will save GIFs only in uncompressed format
(i.e., it won't use the patented LZW compression used to save "normal"
compressed GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
libungif library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use libungif library functions.  You'll also need to install the
libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make all

%install
rm -rf ${RPM_BUILD_ROOT}

%{makeinstall}
%ifnos darwin
ln -sf libungif.%{__soext}.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.%{__soext}.%{version}
ln -sf libgif.%{__soext}.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.%{__soext}.4
ln -sf libgif.%{__soext}.4 ${RPM_BUILD_ROOT}%{_libdir}/libgif.%{__soext}
%else
ln -sf libungif.%{version}.%{__soext} ${RPM_BUILD_ROOT}%{_libdir}/libgif.%{version}.%{__soext}
ln -sf libgif.%{version}.%{__soext} ${RPM_BUILD_ROOT}%{_libdir}/libgif.4.%{__soext}
ln -sf libgif.4.%{__soext} ${RPM_BUILD_ROOT}%{_libdir}/libgif.%{__soext}
%endif
ln -sf libungif.a ${RPM_BUILD_ROOT}%{_libdir}/libgif.a

chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/*.%{__soext}*
chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/*.a*
chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS
chmod 644 ChangeLog TODO BUGS AUTHORS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%{__defattr}
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%doc ChangeLog TODO BUGS AUTHORS
%ifnos darwin
%{_libdir}/lib*.%{__soext}.*
%else
%{_libdir}/lib*.*.%{__soext}
%endif

%files devel
%{__defattr}
%doc doc/* util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.a
%{_libdir}/lib*.%{__soext}
%ifos darwin
%exclude %{_libdir}/lib*.*.%{__soext}
%endif
%{_libdir}/lib*.la
%{_includedir}/*.h

%files progs
%{__defattr}
%{_bindir}/*

%changelog
* Sat May 20 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.3-3a
- 1st build on MacOS X 10.4.

* Wed Mar  2 2005 Matthias Clasen  <mclasen@redhat.com> 4.1.3-3
- Rebuild with gcc4

* Thu Dec 16 2004 Matthias Clasen  <mclasen@redhat.com> 4.1.3-2
- Remove Obsoletes: giflib  (#140952)

* Tue Oct 12 2004 Matthias Clasen  <mclasen@redhat.com> 4.1.3-1
- Latest upstream version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 20 2004 Matthias Clasen <mclasen@redhat.com> - 4.1.2-2
- Add some forgotten doc files back

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 4.1.2-1
- Upgrade to 4.1.2
- Cleaned up and updated spec file

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 4.1.0-14
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.1.0-10
- Clean up spec file
- Fix build with current auto* tools

* Fri Jun 08 2001 Than Ngo <than@redhat.com>
- fix to build against new libtool

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add some fixes from the current CVS tree

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make the subpackages require the base package (Bug #14697)
- update URL
- add fixes from the homepage

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS adjustments (release 5)

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com> 4.1.0-4
- Add giflibcvs-small2crash.patch, which changes lib/dgif_lib.c to be
  whatever is currently in the libungif CVS, thus fixing bug number 9315.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- update URL
- some specfile tweaks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
